org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class BulkheadMethodAsynchronousQueueingBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.BulkheadMethodAsynchronousQueueingBean

    @ApplicationScoped
    public class BulkheadMethodAsynchronousQueueingBean
    extends Object

A method level `@Asynchronous @Bulkhead(value = 5, waitingTaskQueue = 5)` bean

Author:
  Gordon Hutchison, Andrew Rouse

### Constructor Summary

Constructors
Constructor and Description
`BulkheadMethodAsynchronousQueueingBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<?>` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkheadMethodAsynchronousQueueingBean

    public BulkheadMethodAsynchronousQueueingBean()

### Method Detail

#### test

    @Bulkhead(value=5,
              waitingTaskQueue=5)
     @Asynchronous
    public Future<?> test(Barrier barrier)